# Import a File Uploads a CSV or XLSX file to the Seller Extensions table. Delete the upload slot using the /uploadmanager.deleteslot/{slot_id} (Delete an Upload Slot) endpoint after the file has been uploaded. Endpoint: POST /importfile/SX/{SXCategory}/{slotId} Security: basic, X-PriceFx-jwt ## Path parameters: - `SXCategory` (string, required) The Seller Extension category (the Name from the Seller Master Extension table). - `slotId` (string, required) The ID that is returned by the /uploadmanager.newuploadslot (Create an Upload Slot) endpoint. ## Query parameters: - `truncate` (string) Set to false to add records from the file as new lines to the existing data. Set to true to delete all previous records in the SX table. ## Request fields (multipart/form-data): - `fileName` (string) ## Response 202 fields